---

- name: download codedeploy support
  become_user: ec2-user
  shell: "/home/ec2-user/.local/bin/aws s3 cp s3://aws-codedeploy-us-east-2/latest/install .  --region us-east-2"
  tags:
    - download_codeploy

- name: enable executiong permission
  file: 
    path: './install'
    mode: '0755'
  tags:
    - exec_codeploy

- name: installing codedeploy support
  command: "./install auto"
  tags:
    - installing_codedeploy
